%define release_tag 0
%define release_stamp 202404.1.g367c517

%define module_name elcore50
%define kflavour mcom03-def
%{?!kversion: %{expand: %(%_rpmlibdir/query-kEVR.sh --dbpath %_dbpath kernel-headers-modules-%{kflavour})} }

%define modules_dir  /lib/modules/%kversion-%kflavour-%krelease/extra
%define kdir         /usr/src/linux-%kversion-%kflavour-%krelease
%define kheaders_dir %_includedir/linux

%set_verify_elf_method skip
%set_findreq_skiplist %kheaders_dir/*

Name: %module_name-%kflavour
Version: %release_tag
Release: %release_stamp.k%kversion.%krelease

Summary: Meta-package for Elcore-50 DSP driver
Source: %module_name-%release_stamp.tar.gz
Vendor: RnD Center "ELVEES", JSC
Packager: Alexander V. Lyasin <lyasin@elvees.com>

Group: System/Kernel and hardware
License: GPL-2.0+

BuildRequires(pre): rpm-build-kernel
BuildRequires(pre): kernel-headers-modules-%kflavour

Requires: kernel-modules-%module_name-%kflavour = %version-%release

%description
Meta-package for Elcore-50 DSP driver


%package -n kernel-modules-%module_name-%kflavour
Summary: Elcore-50 DSP driver
Group: System/Kernel and hardware

Requires(pre): kernel-image-%kflavour = %{?kepoch}%kversion-%krelease
Provides: kernel-modules-%module_name = %release_tag-%release_stamp

%description -n kernel-modules-%module_name-%kflavour
Elcore-50 DSP driver


%package -n %module_name-devel
Summary: Header files %module_name
Group: Development/Kernel
BuildArch: noarch

Provides: kernel-modules-%module_name-%kflavour-devel = %version-%release
Requires: kernel-headers-common

%description -n %module_name-devel
%module_name kernel module headers


%prep
%setup -n %module_name

%build
%make_build -C %{kdir} M=`pwd` CFLAGS_MODULE="-DELCORE50_MCOM03"

%install
install -d %buildroot%modules_dir
install -p -m644 *.ko %buildroot%modules_dir

install -d %buildroot%kheaders_dir
install -p -m644 *.h %buildroot%kheaders_dir

%clean
%clean_buildroot

%files

%files -n kernel-modules-%module_name-%kflavour
%modules_dir/elcore50-mmualloc.ko
%modules_dir/elcore50.ko

%files -n %module_name-devel
%kheaders_dir/*
